<?php

namespace App\Http\Controllers\Peertube\Mylibrary;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Http\Controllers\Peertube\Common;
// use Illuminate\Support\Facades\Log;

class Videoplaylists extends Common {
  private $common;

  public function __construct () {
    $this->common = new Common;
  }

  public function index () {
    if (!isset($this->common->user->me) || is_null($this->common->user->me)) {
      return redirect('/peertube/login');
    }

    $res = [
      'page' => 'dummy',
      'userinfo' => $this->common->user,
    ];
    // $res['owner'] = $this->getOwner($id);
    return view('pages.peertube.notyet', ['res' => $res]);
  }

  function getOwner ($id) {
    //https://video.076.ne.jp/api/v1/users/me/subscriptions/videos?start=0&count=25&sort=-publishedAt&skipCount=true
    return $this->ptapi_get('/api/v1/accounts/'.$id);
  }
}
